'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var t = _ref.types;

  var isWhiteLabel = currentBuild.appName !== _majora2.default.defaultPackage;

  var pkg = _majora2.default.packages.find(function (pkg) {
    return pkg.appName === currentBuild.appName;
  });

  return {
    name: 'babel-plugin-majorajs',
    visitor: {
      ImportDeclaration: function ImportDeclaration(path, state) {
        var isAlreadySwapped = path.node.source.value.includes(pkg.extension);

        if (!isWhiteLabel || isAlreadySwapped) {
          return;
        }

        if (!path.node.specifiers.length) {
          return;
        }

        var name = path.node.specifiers[0].local.name;


        var componentInList = components.find(function (_ref2) {
          var identifier = _ref2.identifier;
          return identifier === name;
        });

        if (componentInList) {
          if (componentInList.whitelabel[pkg.appName]) {
            path.replaceWith(t.importDeclaration([t.importDefaultSpecifier(t.identifier(path.node.specifiers[0].local.name))], t.stringLiteral(path.node.source.value + pkg.extension)));
          }
        }
      }
    }
  };
};

var _majora = require('../../../.majora.js');

var _majora2 = _interopRequireDefault(_majora);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _require = require('../../../majora.lock.json'),
    components = _require.components,
    currentBuild = _require.currentBuild;